<?
/*=========================================*/
/* パスワード認証                          */
/*=========================================*/

function CheckLogin($username ,$password){
	global $userauth_id,$userauth_pwd;
	
	return ($username == $userauth_id && $password == $userauth_pwd);
}

function loginform($message = ""){
echo <<<EOD
<!DOCTYPE html>
<html lang="ja">
<head>

<meta charset="utf-8">
<title>w3Analyzer</title>
<meta name="description" content="">
<meta name="keywords" content="">
<meta name="robots" content="noindex,noarchive,nofollow">

<link rel="stylesheet" href="css01.css">
<style>
body {
	padding: 10px;
	font-family: "ヒラギノ角ゴ Pro W3","Hiragino Kaku Gothic Pro","メイリオ",Meiryo,"ＭＳ Ｐゴシック","MS PGothic",sans-serif;
}
#main {
	text-align: center;
	padding-top: 30px;
}
table {
	margin: 0 auto;
	text-align: right;
}
th {
	text-align: center;
}
td {
	overflow: hidden;
}
input[type="text"],
input[type="password"] {
	margin-bottom: 5px;
	width: 160px;
}
input[type="submit"] {
	float: left;
}
.copy {
	position: absolute;
	bottom: 0;
	right: 10px;
	font-size: 12px;
	text-align: right;
}
</style>

</head>
<body>

EOD;
if($message) echo '<h3 id="error">'.$message.'</h3><hr>';
echo <<<EOD

<div id="main">
<img src="image/logo.gif" alt="w3Analyzer">
<form method="POST" action="w3a.php" target="_top">
<table>
<tr><th colspan="2">ログインフォーム</th></tr>
<tr><td>ID</td><td><input type="text" name="username"></td></tr>
<tr><td>パスワード</td><td><input type="password" name="password"></td></tr>
<tr><td>&nbsp;</td><td><input type="submit" value="　　ログイン　　"></td></tr>
</table>
</form>
</div>
<p class="copy">&copy; w3Analyzer <a href="http://fmono.sub.jp/" target="_blank">OSAKA PHP</a><br>
<small>*This program was updated by <a href="http://www.webdlab.com/" target="_blank">Webデザインラボ</a></small></p>

</body>
</html>

EOD;
exit;
}

/*=========================================*/
/* パスワード認証(BASIC)                   */
/*=========================================*/
if($userauth_flg == "1"){
	if(!isset($_SERVER[PHP_AUTH_USER]) ||
			$_SERVER[PHP_AUTH_USER] != $userauth_id ||
			$_SERVER[PHP_AUTH_PW] != $userauth_pwd){
		header('WWW-Authenticate: Basic realm="w3Analyzer"');
		header('HTTP/1.0 401 Unauthorized');
		echo "Login Failed.";
		exit;
	}
}
/*=========================================*/
/* パスワード認証(フォーム)                */
/*=========================================*/
elseif($userauth_flg == "2"){
	//セッション開始
	session_start();
	//ログアウト
	if(isset($_GET["logout"])){
		$_SESSION['login'] = false;
		
		loginform('ログアウトしました。');
	}
	//ログイン
	if(!$_SESSION['login'] && !CheckLogin($_POST["username"] ,$_POST["password"])){
		//ユーザー名のチェック
		if(isset($_POST["username"])){
			loginform('ユーザー名またはパスワードが違います。');
		}else{
			loginform();
		}
	}
	
	$_SESSION['login'] = true;
}
?>
