<div class="title">ID変換</div>
<?
/*=========================================*/
/* w3Analyzer Plug-in                      */
/*                                         */
/* ID変換 (UPDATE:05/12/31)                */
/*                                         */
/* オーサカPHP | http://fmono.sub.jp/      */
/*                                         */
/*=========================================*/

/*=========================================*/
/* 初期化                                  */
/*=========================================*/
//配列 初期化
$main = array();

/*=========================================*/
/* 更新                                    */
/*=========================================*/
function regist($updata, $filename){
	//クォートされた文字列削除
	$updata = stripslashes($updata);
	//改行統一
	$updata = str_replace( "\r\n",  "\r", $updata);
	$updata = str_replace( "\r",  "\n", $updata);
	
	foreach(explode("\n", $updata) as $k => $v){
		$v = trim($v);
		if($v == "") continue;
		$arr_updata[$k] = $v."\n";
	}
	
	//ログ生成
	if($fp = fopen($filename, "w")){
		flock($fp, 2);
		if(is_array($arr_updata)){
			foreach ($arr_updata as $v) {
				fputs($fp,$v);
			}
		}else{
			fputs($fp,$arr_updata);
		}
		flock($fp, 3);
		fclose($fp);
		return TRUE;
	}else{
		return FALSE;
	}
}
/*=========================================*/
/* データ更新                              */
/*=========================================*/
if($_POST["mode"] && $_POST["id"] && $_POST["name"]){
	$file_name = $datadir.'ch_id.txt';
	
	$ch_id_data = "";
	$regist_flg = false;
	switch ($_POST["mode"]) {
	    case "new":
	        if(file_exists($file_name)) $ch_id_data = implode('',file($file_name));
	    	$ch_id_data .= $_POST["id"]."||".$_POST["name"]."\n";
	    	$ch_id[$_POST["id"]] = $_POST["name"];
	    	$regist_flg = true;
	        break;
	    case "edit":
	    	foreach($ch_id as $k => $v){
	    		if($_POST["id"] == $k){
	    			$ch_id_data .= $k."||".$_POST["name"]."\n";
	    			$ch_id[$k] = $_POST["name"];
	    		}else{
	    			$ch_id_data .= $k."||".$v."\n";
	    		}
	  		}
	    	$regist_flg = true;
	        break;
	    case "del":
	    	foreach($ch_id as $k => $v){
	    		if($_POST["id"] == $k && $_POST["name"] == $v){
	    			unset($ch_id[$_POST["id"]]);
	    			continue;
	    		}
	    		$ch_id_data .= $k."||".$v."\n";
	  		}
	    	$regist_flg = true;
	        break;
	}
	
	//更新
	if($regist_flg) regist($ch_id_data, $file_name);
}

/*=========================================*/
/* データ編集                              */
/*=========================================*/
if(is_array($data)){
	foreach($data as $k => $v){
		if($v["ch_id"]) continue;
		$main[$v["id"]] = true;
	}
	unset($data);
}
//ソート
ksort($main,SORT_STRING);
/*=========================================*/
/* メイン処理                              */
/*=========================================*/
echo '<form action="w3a.php?'.$_SERVER[QUERY_STRING].'" method="POST">';
echo 'ID:&nbsp;<select name="id">';
echo '<option value="" selected>　ID選択　</option>';
echo '<option value="">---</option>';
foreach($main as $k => $v){
	echo '<option value="'.$k.'">'.$k.'</option>';
}
echo '</select><br><br>';
echo 'Name:&nbsp;<input type=text name="name" size=20 value="">&nbsp;&nbsp;';
echo '<input type=submit value="IDに名前を付ける" style="padding: 0 10px;>';
echo '<input type="hidden" name="mode" value="new">';
echo '</form>';

if($_POST["edit_id"]){
	echo '<hr size=1><form action="w3a.php?'.$_SERVER[QUERY_STRING].'" method="POST">';
	echo '[編集]&nbsp;ID:&nbsp;<b>'.$_POST["edit_id"].'</b>&nbsp;&nbsp;';
	echo 'Name:&nbsp;<input type=text name="name" size=20 value="'.$ch_id[$_POST["edit_id"]].'">&nbsp;&nbsp;';
	echo '<input type=submit value="編集を実行">';
	echo '<input type="hidden" name="id" value="'.$_POST["edit_id"].'">';
	echo '<input type="hidden" name="mode" value="edit">';
	echo '</form>';
}

if($ch_id){
	echo '<br>';
	echo '<table>';
	echo '<tr>';
	echo '<th nowrap>ID</th>';
	echo '<th nowrap>変換名</th>';
	echo '<th nowrap>編集</th>';
	echo '<th nowrap>削除</th>';
	echo '</tr>';
	foreach($ch_id as $k => $v){
		$link = query_edit("act", "track");
		$link = query_edit("sel", $k, $link);
		$link = set_img(TRACKMARK)."&nbsp;".'<a href="'.FILENAME.$link.'" target="_top">'.$k.'</a>';
		
		echo '<tr id="bg_id'.$k.'" onmouseover="chBG(\'bg_id'.$k.'\', 1);" onmouseout="chBG(\'bg_id'.$k.'\', 0);">';
		echo '<td nowrap>'.$link.'</td>';
		echo '<td nowrap>'.$v.'</td>';
		echo '<td nowrap><form action="'.$_SERVER['PHP_SELF'].'?'.$_SERVER[QUERY_STRING].'" method="POST"><input type=submit value="編集"><input type="hidden" name="edit_id" value="'.$k.'"></form></td>';
		echo '<td nowrap><form action="'.$_SERVER['PHP_SELF'].'?'.$_SERVER[QUERY_STRING].'" method="POST"><input type=submit value="削除"><input type="hidden" name="id" value="'.$k.'"><input type="hidden" name="name" value="'.$v.'"><input type="hidden" name="mode" value="del"></form></td>';
		echo '</tr>';
	}
	echo '</table>';
}
?>